package models

import (
	"time"

	"github.com/beego/beego/v2/client/orm"
)

type UserChangeRecord struct {
	UserChangeRecordId int       `orm:"pk" description:"id"`
	Content            string    `description:"内容"`
	CreateTime         time.Time `description:"创建时间"`
}

func (u *UserChangeRecord) Insert() (err error) {
	u.CreateTime = time.Now()
	o := orm.NewOrmUsingDB("master")
	_, err = o.Insert(u)
	return
}

func GetUserChangeRecordList(startSize, pageSize int) (items []*UserChangeRecord, err error) {
	sql := `SELECT * FROM user_change_record ORDER BY create_time DESC LIMIT ?,?`
	o := orm.NewOrmUsingDB("master")
	_, err = o.Raw(sql, startSize, pageSize).QueryRows(&items)
	return
}

func GetUserChangeRecordCount() (count int, err error) {
	sql := `SELECT COUNT(*) AS count FROM user_change_record `
	o := orm.NewOrmUsingDB("master")
	err = o.Raw(sql).QueryRow(&count)
	return
}
